/signature-sign-verifyandpublishagent
Provides a signed message from the registered agent wallet to authorize wallet verification for agent publishing. (+PAY access required)
Authorization
API-Key token<token>
API key authentication via header (token)
In: header
Request Body
application/json
Response Body
application/json
curl -X POST "https://loading/./../api/v1/signature/sign/verifyAndPublishAgent" \ -H "Content-Type: application/json" \ -d '{ "action": "VerifyAndPublishAgent", "publicKey": "ed25519_pk1example", "agentIdentifier": "policyidassetnamehex" }'{
"status": "Success",
"data": {
"signature": "ed25519_signature",
"key": "ed25519_key",
"walletAddress": "addr1...",
"signatureData": "{\"action\":\"VerifyAndPublishAgent\",\"validUntil\":1736352000000,\"data\":{\"publicKey\":\"...\",\"walletVkey\":\"...\"}}"
}
}


